%def_disable rpath
%def_disable mtrace
%def_disable debug
%def_disable Werror
%def_disable ro
%def_disable discover_only
%def_enable dynamic_loading
%def_disable pc98
%def_enable largefile
%def_disable nls
%def_without readline
%def_with pic
%def_enable fs
%def_disable selinux
%def_enable device_mapper
#----------------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}

%define Name Parted
%define bname parted
%define lname lib%bname
Version: 1.8.7
Name: lib%{bname}_%version
%define prerel %nil
Release: alt1
Summary: Shared library for flexible partitioning tool
License: GPL2+
Group: System/Libraries
URL: http://www.gnu.org/software/%bname
Source: ftp://ftp.gnu.org/gnu/%bname/%bname-%version%prerel.tar.bz2
Patch: %lname-1.8.7-linux_swap.patch
Conflicts: %lname = %version

# Automatically added by buildreq on Tue May 15 2007
#BuildRequires: check gcc-c++ glibc-devel-static libdevmapper-devel libtinfo-devel libuuid-devel

BuildRequires: gcc-c++ libe2fs-devel libtinfo-devel check libuuid-devel
%{?_enable_device_mapper:BuildRequires: libdevmapper-devel}

%description
GNU %Name is a program that allows you to create, destroy, resize,
move and copy hard disk partitions. This is useful for creating space
for new operating systems, reorganising disk usage, and copying data to
new hard disks.
This package includes the shared library needed to run
%lname-based software.


%prep
%setup -n %bname-%version%prerel
%patch -p1


%build
%configure --enable-shared --disable-static \
    %{subst_enable rpath} \
    %{subst_with pic} \
    %{subst_enable mtrace} \
    %{subst_enable debug} \
    %{subst_enable Werror} \
    %{subst_enable_to ro read-only} \
    %{subst_enable_to discover_only discover-only} \
    %{subst_enable_to dynamic_loading dynamic-loading} \
    %{subst_enable pc98} \
    %{subst_enable largefile} \
    %{subst_enable nls} \
    %{subst_enable fs} \
    %{subst_with readline} \
    %{subst_enable_to device_mapper device-mapper} \
    %{subst_enable selinux}

%make_build -C lib
%make_build -C %lname


%install
%make_install -C %lname DESTDIR=%buildroot install


%post -p %post_ldconfig
%postun -p %postun_ldconfig


%files
%_libdir/*.so.*


%changelog
* Wed Aug 15 2007 Led <led@altlinux.ru> 1.8.7-alt1
- initial build
